# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/nuvoton,nct3018y.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NUVOTON NCT3018Y Real Time Clock

allOf:
  - $ref: "rtc.yaml#"

maintainers:
  - Medad CChien <ctcchien@nuvoton.com>
  - Mia Lin <mimi05633@gmail.com>

properties:
  compatible:
    const: nuvoton,nct3018y

  reg:
    maxItems: 1

  start-year: true

  reset-source: true

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        rtc@6f {
            compatible = "nuvoton,nct3018y";
            reg = <0x6f>;
        };
    };

...
